PKGTOOL(8)

NAZWA
pkgtool - narzędzie do zarządzania pakietami

STRESZCZENIE
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfile ] [ --source_dir directory ] [ --target_dir directory ] [ --source_device device ]

OPIS
pkgtool jest opartym na menu narzędziem do zarządzania pakietami, które jest częścią dystrybucji Slackware Linux. Pozwala użytkownikowi na instalację, usunięcie oraz przeglądanie pakietów programów przez interaktywny system. Pkgtool może również być użyte do uruchomienia ponownie skryptów zwykle uruchamianych pod koniec instalacji Slackware. Przydatne jest przy podstawowej rekonfiguracji (np. zmiana typu myszy).

OPCJE
Większość użytkowników nie będzie chciała używać żadnych opcji uruchamiając pkgtool. Są one zwykle używane wyłącznie gdy pkgtool jest uruchamiany podczas oryginalnej instalacji systemu. Możesz ich używać, ale bądź uważny.

--sets #A#B#C#
    Instaluj dyski serii A, B, C. Oddziel nazwy serii symbolami '#'.

--source_mounted
    Przy tej opcji, pkgtool nie będzie próbowało odmontować i zamontować na nowo urządzenia źródłowego przy każdym dysku.

--ignore_tagfiles
    Przy tej opcji, pkgtool zainstaluje każdy napotkany pakiet ignorując pliki "tagfile".

--tagfile tagfile
    Opcja ta używana jest z linii komend w celu podania, który plik "tagfile" powinien być użyty do instalacji.

--source_dir directory
    Używane przy instalacji wielu pakietów z zestawu dysków. Jest to katalog, w którym znajdują się podkatalogi dla każdego dysku. Nie jest to używane przy instalacji z dyskietek.

--target_dir directory
    Katalog, gdzie znajduje się docelowy katalog root. Instalując na twardym dysku jest to '/', lub najczęściej '/mnt' instalując z dysku instalacyjnego.

--source_device device
    Urządzenie źródłowe, z którego instalujemy. Nie jest używane jeśli podałeś opcję --source_mounted Zwykle używane instalując z dyskietek, np: --source_device /dev/fd0u1440 lub --source_device /dev/fd1h1200

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

ZOBACZ RÓWNIEŻ
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)